
package cokr.xit.ens.modules.common.ctgy.intgrnbill.nv.service.process.code;

import cokr.xit.ens.core.code.CodeMapperType;
import lombok.Getter;


/**
 * <ul>
 * <li>업무 그룹명: 네이버페이 간편결제API - 결제 유입경로</li>
 * <li>설 명: </li>
 * <li>작성일: 2023. 2. 22. 오후 2:47:43
 * </ul>
 *
 * @author 박민규
 */

public enum NvEpPayReferrerCd implements CodeMapperType {
    NAVER_BOOK("네이버 책 서비스를 통해 유입 후 결제가 발생한 경우"),
    NAVER_MUSIC("네이버 뮤직 서비스를 통해 유입 후 결제가 발생한 경우"),
    NAVER_SHOPPING("네이버 쇼핑 서비스를 통해 유입 후 결제가 발생한 경우"),
    NAVER_MAP("네이버 지도 서비스를 통해 유입 후 결제가 발생한 경우"),
    NAVER_PLACE("네이버 플레이스 서비스를 통해 유입 후 결제가 발생한 경우"),
    SEARCH_AD("검색 광고를 통해 유입 후 결제가 발생한 경우"),
    NAVER_SEARCH("네이버 통합 검색 바로가기를 통해 유입 후 결제가 발생한 경우"),
    BRAND_SEARCH("브랜드 검색을 통해 유입 후 결제가 발생한 경우"),
    PARTNER_DIRECT("가맹점 사이트에 바로 접속하여 결제가 발생한 경우"),
    ETC("그 외의 유입을 통해 결제가 발생한 경우"),
    ;
    @Getter
    private String code;
    @Getter
    private String codeNm;

    NvEpPayReferrerCd(String codeNm) {
        this.code = this.name();
        this.codeNm = codeNm;
    }
}
